<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersDelayTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users_delay', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->datetime('like_1')->default('2000-01-01 01:01:01');
            $table->datetime('like_2')->default('2000-01-01 01:01:01');
            $table->datetime('like_3')->default('2000-01-01 01:01:01');
            $table->datetime('like_4')->default('2000-01-01 01:01:01');
            $table->datetime('like_5')->default('2000-01-01 01:01:01');
            $table->datetime('like_6')->default('2000-01-01 01:01:01');
            $table->datetime('like_7')->default('2000-01-01 01:01:01');
            $table->datetime('like_8')->default('2000-01-01 01:01:01');
            $table->datetime('like_9')->default('2000-01-01 01:01:01');
            $table->datetime('comment')->default('2000-01-01 01:01:01');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users_delay');
    }
}
